/*
Tiamat - a role-playing game framework
AreaEditor.java - main class for an Area editor
 
 Copyright  (C) 2004 Hugues Johnson
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package com.huguesjohnson.tiamat.tools;

import java.lang.Runnable;
import java.lang.String;
import java.lang.System;
import java.lang.Thread;
import com.huguesjohnson.tiamat.tools.AreaEditorFrame;

/** AreaEditor - main class for an Area editor
 * @author Hugues Johnson
 */
public class AreaEditor implements Runnable{
    /** constructor */
    public AreaEditor(){
        Thread thread=new Thread(this);
        thread.start();
    }
    
    /** exitHandler - override this if creating an instance of AreaEditor in another class */
    public void exitHandler(){
        System.exit(0);
    }

    /** start the thread */
    @SuppressWarnings("serial")
	public void run(){
        AreaEditorFrame frame=new AreaEditorFrame(){
            public void exitEvent(){
                exitHandler();
            }
        };
        frame.setVisible(true);
    }
    
    /** entry point for program */
    public static void main(String[] arguments){
        new AreaEditor();
    }
}